Comment installer Megasync sur Arch Linux et ses dérivés et corriger l'erreur ibcryptopp.so?

Mega

Il y a quelques jours, j'ai pris la décision de migrer le système d'une de mes machines à une distribution dérivée d'Arch Linux ceci afin de changer de scène et gagner du temps dans l'installation que si c'était Arch Linux, il m'a fallu presque une journée pour installer et configurer.

Avec le système installé, installer tous mes progiciels nécessaires pour l'utilisation de mon équipement au quotidien, à partir de parmi lesquels j'utilise Megasync qui est essentiellement le gestionnaire des téléchargements et des téléchargements au méga service.

L'installation de megasync sur Arch Linux et Linux en général est relativement simple, puisque les méga développeurs proposent des packages pour une installation rapide dans plusieurs distributions Linux.

Et Arch Linux ne fait pas exception.

Installation de Megasync

UL'une des grandes fonctionnalités que j'aime chez Arch Linux est sa grande polyvalence pour pouvoir installer des applications soit à partir de référentiels Arch Linux, à partir d'AUR ou de construire directement les packages avec ses assistants qui facilitent cela.

Cdessus Nous avons plusieurs options pour installer le client megasync dans notre système, de sorte que Podras choisissez l'un d'entre eux.

Avant de passer aux méthodes d'installation, il est important qu'après avoir choisi celle qui vous plaît le plus, après avoir effectué l'installation immédiatement, essayez d'ouvrir le méga client sur votre système, s'il s'ouvre correctement "Félicitations, vous pouvez commencer à l'utiliser de celui-ci ».

Mais s'il ne s'ouvre pas, essayez de l'ouvrir depuis le terminal avec la commande "megasync" et si vous obtenez l'erreur suivante "lors du chargement des bibliothèques partagées: libcryptopp.so." vous devez effectuer l'installation que je propose jusqu'à la fin.

Le premier candidat pour l'installation mégasync pour notre système est l'application qui s'intègre avec le menu de notre système dans la barre de notification lorsque il est en fonctionnement et à partir de là, nous pouvons effectuer à la fois des téléchargements et des téléchargements depuis notre ordinateur ou notre méga compte.

Pour installer ce client, il suffit d'activer le référentiel AUR et d'installer un assistant AUR.

La commande à installer est:

yay -S megasync

Le deuxième candidat à l'installation est le package "megasync-git". Il est similaire au package précédent, la seule différence est qu'un package compile à partir du code source, tandis qu'un autre prend le package déjà compilé (une question de goût).

La commande pour installer ce package qu'ils vont exécuter est le suivant:

yay -S megasync-git

Intégration de Megasync aux gestionnaires de fichiers

Autres packages déjà compilés proposé par les développeurs Mega si vous ne souhaitez pas allouer trop de ressources à un client, est en intégrant le client dans l'un des gestionnaires de fichiers Linux.

Desquels des forfaits sont offerts pour (Dolphin, Nemo, Nautilus et Thunar)

Les administrateurs qui sont généralement la valeur par défaut dans de nombreuses distributions Linux, car ils appartiennent à des environnements de bureau populaires ou ils peuvent également être facilement installés.

Maintenant, pour installer les packages megasync afin qu'il s'intègre à votre gestionnaire de fichiers, vous devez exécuter l'une des commandes suivantes selon le gestionnaire de fichiers que vous utilisez.

Pour ceux qui utilisent Dolphin, la commande qu'ils vont exécuter est:

yay -S dolphin-megasync-git

Si vous utilisez Nautilus, cette commande doit s'exécuter:

yay -S nautilus-megasync

maintenant pour ceux qui utilisent Nemo:

yay -S nemo-megasync

Enfin pour ceux qui utilisent Thunar la commande qu'ils vont exécuter est:

yay -S thunar-megasync

Solution à l'erreur libcryptopp.so

Enfin, pour ceux qui ont eu une installation "échouée" du méga client sur leur système, tout n'est pas perdu car il existe une solution assez simple pour se casser la tête pour résoudre la dépendance avec la version de la librairie "libcryptopp.so" que le client vous demande.

Car dans mon cas, il m'a demandé le "libcryptopp.so.7", bien que certains demandent le "libcryptopp.so.9".

Pour installer le méga client avec succès et éviter de rechercher la version de la bibliothèque et après s'être cassé parce qu'il est installé ou compatible avec notre système, la meilleure option est la suivante.

Nous allons ajouter le méga référentiel à notre système. Nous faisons cela en éditant notre fichier "pacman.conf"

Pour ce faire dans un terminal, nous allons exécuter:

sudo nano /etc/pacman.conf

Vous pouvez remplacer nano par l'éditeur de votre choix, que ce soit vim, gedit, kate, atom etc.

maintenant nous allons passer à la fin du fichier et ajouter ce qui suit:

###Repositorio oficial MEGA###

[DEB_Arch_Extra]

SigLevel = Optional TrustAll

Server = https://mega.nz/linux/MEGAsync/Arch_Extra/$arch

###Fin Repositorio oficial MEGA###

Nous sauvegardons le document, Dans le cas de ceux qui ont édité avec nano, ils le font avec Ctrl + O et se terminent avec Ctrl + X.

Et dans le même terminal, nous mettons à jour les référentiels avec:

sudo pacman -Sy

Et nous installons le client avec:

sudo pacman -S megasync

Et c'est tout, vous aurez le client installé et vous pourrez l'utiliser.


Le contenu de l'article adhère à nos principes de éthique éditoriale. Pour signaler une erreur, cliquez sur c'est par ici !.

Un commentaire, laissez le vôtre

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée.

*

*

  1. Responsable des données : AB Internet Networks 2008 SL
  2. Finalité des données: Contrôle du SPAM, gestion des commentaires.
  3. Légitimation: votre consentement
  4. Communication des données: Les données ne seront pas communiquées à des tiers sauf obligation légale.
  5. Stockage des données: base de données hébergée par Occentus Networks (EU)
  6. Droits: à tout moment, vous pouvez limiter, récupérer et supprimer vos informations.

  1.   alexis dit

    Je voudrais savoir si j'installe megasyc avec yay -S megasync, alors je dois aussi installer yay -S dolphin-megasync-git dans mon cas où j'utilise dolphin ou si j'utilise uniquement la commande avec dolphin et c'est tout?